//#define CHUNK_SIZE 524288
#define CHUNK_SIZE 131072
//#define CHUNK_SIZE 65536
//#define CHUNK_SIZE 16384
//#define CHUNK_SIZE 128

//#define BLOCK_SIZE 512
#define BLOCK_SIZE 256

#define LENS_CHUNK 1048576
//#define LENS_CHUNK 262144
//#define LENS_CHUNK 131072
//#define LENS_CHUNK 32768


void runCudaLens(float* d_lx1, float* d_lx2, float* d_lm, float* d_x1, float* d_x2, float* d_p1, float* d_p2, long Nl, float ks,float g);

void myGetDeviceCount(int* raw_device_count);
void _cudaGetDevName(char* name,int* rate, int* mps);
int  _cudaGetDeviceCount();
void _cudaSetDevice(int device);
void lensCudaMalloc(float** data, size_t size);
void lensCudaFree(float** data);
